<?php

namespace Ig\IgGooglemaps\Controller;

use TYPO3\CMS\Extbase\Mvc\Controller\ActionController;

/**
 * MapsController
 */

class MapsController extends ActionController
{
	/**
	 * mapsRepository
	 *
	 * @var \Ig\IgGooglemaps\Domain\Repository\MapsRepository
	 * @TYPO3\CMS\Extbase\Annotation\Inject
	 */
	public $mapsRepository = NULL;

	/**
	 * markerRepository
	 *
	 * @var \Ig\IgGooglemaps\Domain\Repository\MarkerRepository
	 * @TYPO3\CMS\Extbase\Annotation\Inject
	 */
	public $markerRepository = NULL;

	/**
	 * action list
	 *
	 * @return void
	 */
	public function listAction()
    {
		// Marker new

		$cObj = $this->configurationManager->getContentObject();

		if($this->settings['controls']) {
			$controls = explode(',', $this->settings['controls']);
        } else {
			$controls = array();
        }
		if($this->settings['marker']) {
			$markers = $this->markerRepository->setRespectStoragePage(false)->findByMarkersFromSettings(explode(',', $this->settings['marker']))->toArray();
		} else {
			$markers = array();
		}
		$infowindowOfAllMarkersOpen = boolval($this->settings['infowindowOfAllMarkersOpen']);
		$latitude = doubleval($this->settings['latitude']);
		$longitude = doubleval($this->settings['longitude']);
		$zoom = intval($this->settings['zoom']);
		$customStyle = boolval($this->settings['customStyle']);
		$customStyleText = $this->settings['customStyleText'];
		$style = $this->settings['style'];
		$mapType = $this->settings['mapType'];
		$googleMapsSubmitClasses = $this->settings['googleMapsSubmitClasses'];
		$customMarkerPath = $this->settings['customMarkerPath'];
        $customMarkerWidth = $this->settings['customMarkerWidth'];
        $customMarkerHeight = $this->settings['customMarkerHeight'];
		$autocalcmapcenter = boolval($this->settings['autocalcmapcenter']);
		$aspectRatio = $this->settings['aspectRatio'];
		$width = $this->settings['width'];
		$height = $this->settings['height'];
		$rteActivated = $this->settings['rteActivated'];
		$apiUrl = $this->settings['apiUrl'];
        $apiKey = $this->settings['apiKey'];
		$jsFile = $this->settings['jsFile'];

		// Template vars
		$this->view->assign('identifier', 'map_' . $cObj->data['uid']);
		$this->view->assign('controls', $controls);
		$this->view->assign('markers', $markers);
		$this->view->assign('infowindowOfAllMarkersOpen', $infowindowOfAllMarkersOpen);
		$this->view->assign('latitude', $latitude);
		$this->view->assign('longitude', $longitude);
		$this->view->assign('zoom', $zoom);
		$this->view->assign('mapType', $mapType);
		$this->view->assign('customStyle', $customStyle);
		$this->view->assign('customStyleText', $customStyleText);
		$this->view->assign('style', $style);
		$this->view->assign('googleMapsSubmitClasses', $googleMapsSubmitClasses);
		$this->view->assign('customMarkerPath', $customMarkerPath);
        $this->view->assign('customMarkerWidth', $customMarkerWidth);
        $this->view->assign('customMarkerHeight', $customMarkerHeight);
		$this->view->assign('autocalcmapcenter', $autocalcmapcenter);
		$this->view->assign('aspectRatio', $aspectRatio);
		$this->view->assign('width', $width);
		$this->view->assign('height', $height);
		$this->view->assign('rteActivated', $rteActivated);
		$this->view->assign('apiUrl', $apiUrl);
        $this->view->assign('apiKey', $apiKey);
		$this->view->assign('jsFile', $jsFile);
	}
}
