<?php
namespace Ig\IgGooglemaps\Utility;

// deprecated
use TYPO3\CMS\Backend\Form\Element\AbstractFormElement;
use TYPO3\CMS\Core\Utility\ExtensionManagementUtility;
use TYPO3\CMS\Core\Utility\GeneralUtility;
//use TYPO3\CMS\Core\Utility\VersionNumberUtility;
use TYPO3\CMS\Core\Utility\PathUtility;
use TYPO3\CMS\Extbase\Configuration\ConfigurationManager;
use TYPO3\CMS\Extbase\Object\ObjectManager;

class Geocode extends AbstractFormElement
{
    protected static $scriptIncluded = false;

    public function render()
    {
        $result = $this->initializeResultArray();
        $result['html'] = $this->{$this->data['renderType']}();
        return $result;
    }
    //public function geocode($PA, $fobj)
    public function geocode()
    {
        $objectManager = GeneralUtility::makeInstance(ObjectManager::class);
        $configurationManager = $objectManager->get(ConfigurationManager::class);
        $config = $configurationManager->getConfiguration(ConfigurationManager::CONFIGURATION_TYPE_FULL_TYPOSCRIPT, 'IgGooglemaps', 'Maps');
        $apiUrl = $config['plugin.']['tx_iggooglemaps.']['settings.']['apiUrl'];
        $apiKey = $config['plugin.']['tx_iggooglemaps.']['settings.']['apiKey'];

        $uid = $this->data['vanillaUid']; //$PA['row']['uid'];

        $content = '';

        if (!self::$scriptIncluded) {
            $content .= '<script type="text/javascript" src="' . $apiUrl . (strpos($apiUrl, '?') !== false ? '&key=' : '?key=') . $apiKey . '"></script>';
            self::$scriptIncluded = true;
        }

        $content .= '<style type="text/css">
                input.ig_googlemaps_geocode_input {
                    font-weight: bold;
                }
            </style>

            <script type="text/javascript">
                require(["jquery"], function(jQuery) {
                    $ = jQuery;
                    $(document).ready(function() {
                        $("a.ig_googlemaps_geocode").click(function(e) {
                            e.preventDefault();';

        $content .= 'var address = $("input[name=\'data[tt_content][' . $uid . '][pi_flexform][data][sDEF][lDEF][settings.address][vDEF]\']").val();
                                var zip = $("input[name=\'data[tt_content][' . $uid . '][pi_flexform][data][sDEF][lDEF][settings.zip][vDEF]\']").val();
                                var city = $("input[name=\'data[tt_content][' . $uid . '][pi_flexform][data][sDEF][lDEF][settings.city][vDEF]\']").val();
                                var country = $("input[name=\'data[tt_content][' . $uid . '][pi_flexform][data][sDEF][lDEF][settings.country][vDEF]\']").val();';
        $content .= 'var addressFinal = (address + \', \' + zip + \' \' + city + \', \' + country);
                            var geocoder = new google.maps.Geocoder();
                            geocoder.geocode({\'address\': addressFinal}, function(results, status) {
                                if(status == \'OK\') {
                                    var obj = results[0].geometry.location;

                                    // Latitude
                                    $("input[name=\'data[tt_content][' . $uid . '][pi_flexform][data][sDEF][lDEF][settings.latitude][vDEF]_hr\']").val(obj.lat);
                                    $("input[name=\'data[tt_content][' . $uid . '][pi_flexform][data][sDEF][lDEF][settings.latitude][vDEF]\']").val(obj.lat);

                                    // Longitude
                                    $("input[name=\'data[tt_content][' . $uid . '][pi_flexform][data][sDEF][lDEF][settings.longitude][vDEF]_hr\']").val(obj.lng);
                                    $("input[name=\'data[tt_content][' . $uid . '][pi_flexform][data][sDEF][lDEF][settings.longitude][vDEF]\']").val(obj.lng);

                                    // Latitude
                                    $("input[data-formengine-input-name=\'data[tt_content][' . $uid . '][pi_flexform][data][sDEF][lDEF][settings.latitude][vDEF]_hr\']").val(obj.lat);
                                    $("input[data-formengine-input-name=\'data[tt_content][' . $uid . '][pi_flexform][data][sDEF][lDEF][settings.latitude][vDEF]\']").val(obj.lat);

                                    // Longitude
                                    $("input[data-formengine-input-name=\'data[tt_content][' . $uid . '][pi_flexform][data][sDEF][lDEF][settings.longitude][vDEF]_hr\']").val(obj.lng);
                                    $("input[data-formengine-input-name=\'data[tt_content][' . $uid . '][pi_flexform][data][sDEF][lDEF][settings.longitude][vDEF]\']").val(obj.lng);
                                }
                            });
                        });
                    });
                });
            </script>
        ';

        $content .= '
            <div class="typo3-newRecordLink btn btn-default">
                <a href="javascript:void(0);" class="t3-button ig_googlemaps_geocode"><span title="' . $GLOBALS['LANG']->sL('LLL:EXT:ig_googlemaps/Resources/Private/Language/locallang_be.xlf:geocode_address') . '" class=""></span>' . $GLOBALS['LANG']->sL('LLL:EXT:ig_googlemaps/Resources/Private/Language/locallang_be.xlf:geocode_address') . '</a>
            </div>
        ';
        return $content;
    }

    public function geocodeSectionIrre()
    {
        //$t3VersionMain = VersionNumberUtility::convertVersionStringToArray(TYPO3_version)['version_main'];

        $uid = $this->data['vanillaUid']; //$PA['row']['uid'];

        $objectManager = GeneralUtility::makeInstance(ObjectManager::class);
        $configurationManager = $objectManager->get(ConfigurationManager::class);
        $config = $configurationManager->getConfiguration(ConfigurationManager::CONFIGURATION_TYPE_FULL_TYPOSCRIPT, 'IgGooglemaps', 'Maps');
        $apiUrl = $config['plugin.']['tx_iggooglemaps.']['settings.']['apiUrl'];
        $apiKey = $config['plugin.']['tx_iggooglemaps.']['settings.']['apiKey'];

        $content = '';

        $content .= '<style type="text/css">
                .typo3-TCEforms .t3-form-field-container-inline .wrapperTable, .typo3-TCEforms .t3-form-field-container-inline .wrapperTable1, .typo3-TCEforms .t3-form-field-container-inline .wrapperTable2, .typo3-TCEforms .t3-form-field-container-inline .wrapperTable3, .typo3-TCEforms .t3-form-field-container-inline .wrapperTable4, .typo3-TCEforms .t3-form-field-container-inline .wrapperTable5 {
                    border-bottom: 1px solid #c0c0c0;
                }
                input.ig_googlemaps_geocode_input {
                    font-weight: bold;
                }
            </style>

            <script type="text/javascript">
                require(["jquery"], function(jQuery) {
                    $ = jQuery;
                    $(document).ready(function() {
                        $("a.ig_googlemaps_geocode_irre_' . $uid . '").click(function(e) {
                            e.preventDefault();';

        $content .= 'var address = $("input[name=\'data[tx_iggooglemaps_domain_model_marker][' . $uid . '][address]\']").val();
                                var zip = $("input[name=\'data[tx_iggooglemaps_domain_model_marker][' . $uid . '][zip]\']").val();
                                var city = $("input[name=\'data[tx_iggooglemaps_domain_model_marker][' . $uid . '][city]\']").val();
                                var country = $("input[name=\'data[tx_iggooglemaps_domain_model_marker][' . $uid . '][country]\']").val();';
        $content .= 'var addressFinal =(address + \', \' + zip + \' \' + city + \', \' + country);
                            var geocoder = new google.maps.Geocoder();
                            geocoder.geocode({\'address\': addressFinal}, function(results, status) {
                                if(status == \'OK\') {
                                    var obj = results[0].geometry.location;

                                    // Latitude
                                    $("input[name=\'data[tx_iggooglemaps_domain_model_marker][' . $uid . '][latitude]_hr\']").val(obj.lat);
                                    $("input[name=\'data[tx_iggooglemaps_domain_model_marker][' . $uid . '][latitude]\']").val(obj.lat);

                                    // Longitude
                                    $("input[name=\'data[tx_iggooglemaps_domain_model_marker][' . $uid . '][longitude]_hr\']").val(obj.lng);
                                    $("input[name=\'data[tx_iggooglemaps_domain_model_marker][' . $uid . '][longitude]\']").val(obj.lng);


                                    // Latitude
                                    $("input[data-formengine-input-name=\'data[tx_iggooglemaps_domain_model_marker][' . $uid . '][latitude]_hr\']").val(obj.lat);
                                    $("input[data-formengine-input-name=\'data[tx_iggooglemaps_domain_model_marker][' . $uid . '][latitude]\']").val(obj.lat);

                                    // Longitude
                                    $("input[data-formengine-input-name=\'data[tx_iggooglemaps_domain_model_marker][' . $uid . '][longitude]_hr\']").val(obj.lng);
                                    $("input[data-formengine-input-name=\'data[tx_iggooglemaps_domain_model_marker][' . $uid . '][longitude]\']").val(obj.lng);
                                }
                            });
                        });
                    });
                });
            </script>
        ';

        $content .= '
            <div class="typo3-newRecordLink btn btn-default">
                <a href="javascript:void(0);" class="t3-button ig_googlemaps_geocode_irre_' . $uid . '"><span title="' . $GLOBALS['LANG']->sL('LLL:EXT:ig_googlemaps/Resources/Private/Language/locallang_be.xlf:geocode_address') . '" class=""></span>' . $GLOBALS['LANG']->sL('LLL:EXT:ig_googlemaps/Resources/Private/Language/locallang_be.xlf:geocode_address') . '</a>
            </div>
        ';

        return $content;
    }
}
