<?php
namespace Ig\IgGooglemaps\Tests\Unit\Controller;

/*
 * This file is part of the TYPO3 CMS project.
 *
 * It is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, either version 2
 * of the License, or any later version.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * The TYPO3 project - inspiring people to share!
 */

/**
 * Test case for class Ig\IgGooglemaps\Controller\MapsController.
 *
 * @author Raphael Zschorsch <zschorsch@medialis.net>
 */
class MapsControllerTest extends \TYPO3\CMS\Core\Tests\UnitTestCase {
	
	/**
	 * @var \Ig\IgGooglemaps\Controller\MapsController
	 */
	protected $subject = NULL;
	
	protected function setUp() {
		$this->subject = $this->getMock('Ig\\IgGooglemaps\\Controller\\MapsController', array(
			'redirect',
			'forward',
			'addFlashMessage'
		), array(), '', FALSE);
	}
	
	protected function tearDown() {
		unset($this->subject);
	}
	
	/**
	 * @test
	 */
	public function listActionFetchesAllMapssFromRepositoryAndAssignsThemToView() {
		
		$allMapss = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array(), array(), '', FALSE);
		
		$mapsRepository = $this->getMock('Ig\\IgGooglemaps\\Domain\\Repository\\MapsRepository', array(
			'findAll'
		), array(), '', FALSE);
		$mapsRepository->expects($this->once())->method('findAll')->will($this->returnValue($allMapss));
		$this->inject($this->subject, 'mapsRepository', $mapsRepository);
		
		$view = $this->getMock('TYPO3\\CMS\\Extbase\\Mvc\\View\\ViewInterface');
		$view->expects($this->once())->method('assign')->with('mapss', $allMapss);
		$this->inject($this->subject, 'view', $view);
		
		$this->subject->listAction();
	}
}